/**************************************************************************************************
       1:   .
  ""            1:,
 ,      .     cab-.
Cab-  ,        . Cab-   
 SQL- (.bak),   1: (1Cv7.MD)   1:   
(users.usr).
**************************************************************************************************/
DECLARE
@DataBaseName SYSNAME, --     1: (  )
@FilesPath SYSNAME, --        1: (  )
@MdPath SYSNAME, --     1: (1Cv7.MD)
@UsersPath SYSNAME, --    1:    (users.usr)
@BackUpPath SYSNAME, --    bak-     
@CabPath SYSNAME, --    cab-     
@DirPath SYSNAME, --        
@FSO INT, --   OLE- "Scripting.FileSystemObject"
@BackUpSuffix SYSNAME, --     bak-  cab- ,   
@year varchar (4), @month varchar (2), @day varchar (2) -- ,        

CREATE TABLE #Bases1C(DataBaseName SYSNAME,FilesPath SYSNAME)

-->>**************************************************************************************
--       :
SET @DirPath = 'X:\MyBackups\'
--    1:,  :
INSERT INTO #Bases1C(DataBaseName,FilesPath) VALUES ('Base1C_1', 'Y:\Bases1C\My1C_1\')
INSERT INTO #Bases1C(DataBaseName,FilesPath) VALUES ('Base1C_2', 'Y:\Bases1C\My1C_2\')
INSERT INTO #Bases1C(DataBaseName,FilesPath) VALUES ('Base1C_3', 'Y:\Bases1C\My1C_3\')
--<<**************************************************************************************

--   "Scripting.FileSystemObject"   bak-   :
EXEC sp_OACreate "Scripting.FileSystemObject", @FSO OUT

--     ,   :
SET @year = CAST(DATEPART(Year, GetDate()) AS varchar)
SET @month = CAST(DATEPART(Month, GetDate()) AS varchar)
SET @day = CAST(DATEPART(Day, GetDate()) AS varchar)
EXEC xp_sprintf @BackUpSuffix OUTPUT, '%04s%02s%02s', @year, @month, @day

--        :
DECLARE Step_cursor CURSOR FOR SELECT DataBaseName, FilesPath FROM #Bases1C
OPEN Step_cursor
FETCH NEXT FROM Step_cursor INTO @DataBaseName, @FilesPath
WHILE @@FETCH_STATUS = 0 BEGIN
    --    :
    SET @BackUpPath = @DirPath + @DataBaseName + @BackUpSuffix + '.bak'
    SET @CabPath = @DirPath + @DataBaseName + @BackUpSuffix + '.cab'
    SET @MdPath = @FilesPath + '1Cv7.MD'
    SET @UsersPath = @FilesPath + 'usrdef\users.usr'
    --     ( bak-):
    BACKUP DATABASE @DataBaseName TO DISK = @BackUpPath WITH INIT
    --   ( cab-):
    EXEC master..xp_makecab @CabPath, 'mszip', 0, @BackUpPath, @MdPath, @UsersPath
    --  bak-   :
    EXEC sp_OAMethod @FSO, 'DeleteFile', NULL, @BackUpPath

    FETCH NEXT FROM Step_cursor INTO @DataBaseName, @FilesPath
END
CLOSE Step_cursor
DEALLOCATE Step_cursor
DROP TABLE #Bases1C
--   "Scripting.FileSystemObject":
EXEC sp_OADestroy @FSO